/*
  NUI - C++ cross-platform GUI framework for OpenGL based applications
  Copyright (C) 2002-2003 Sbastien Mtrot

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __nuiFileList_h__
#define __nuiFileList_h__

#include "nuiList.h"

/// This class implements a simple list of file or directory that a user can easily browse. 
class nuiFileList : public nuiList
{
public:
  nuiFileList(nuiContainerPtr pParent, const nglPath& rPath);
  nuiFileList(nuiContainerPtr pParent, nuiXMLNode* pNode); ///< Create from an XML description.
  virtual ~nuiFileList();

  virtual nuiXMLNode* Serialize(nuiXMLNode* pParentNode, bool Recursive);

  bool Selected(nuiEvent* pEvent); ///< Called whenever a file is double clicked.

protected:
  nuiEventSink<nuiFileList> mFileListSink;
};

#endif // __nuiFileList_h__
