/*
  NUI - C++ cross-platform GUI framework for OpenGL based applications
  Copyright (C) 2002-2003 Sbastien Mtrot

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __nuiFixed_h__
#define __nuiFixed_h__

#include "ngl.h"
#include "nuiContainer.h"

/// nuiFixed is a widget container that keep all its children at their original position and size.
class nuiFixed : public nuiContainer
{
public:
  nuiFixed (nuiContainerPtr pParent);
  nuiFixed (nuiContainerPtr pParent, nuiXMLNode* pNode); ///< Create from an XML description.
  virtual ~nuiFixed();

  virtual nuiXMLNode* Serialize(nuiXMLNode* pNode, bool Recursive);

  virtual nuiRect CalcIdealSize();
  virtual bool SetRect(const nuiRect& rRect);
  virtual bool Draw(nuiDrawContext* pContext);

  virtual void SetClipChildren(bool set); ///< If set is true the fixed object will clip its children to their rect.
  virtual bool GetClipChildren();

protected:
  nuiBool mClipChildren;
};

#endif // __nuiFixed_h__

