/*
  NUI - C++ cross-platform GUI framework for OpenGL based applications
  Copyright (C) 2002-2003 Sbastien Mtrot

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __nuiHoverDummy_h__
#define __nuiHoverDummy_h__

#include "nuiContainer.h"

class nuiHoverDummy : public nuiContainer
{
public:
  nuiHoverDummy(nuiContainerPtr pParent, nuiWidgetPtr pHoverOn, nuiWidgetPtr pHoverOff);
  nuiHoverDummy(nuiContainerPtr pParent, nuiXMLNode* pNode);
  nuiXMLNode* Serialize(nuiXMLNode* pParentNode, bool Recursive = true);
  virtual ~nuiHoverDummy();

  void SetDummy(bool Hover, nuiWidgetPtr pWidget); ///< Set the dummy widget to display when the widget is in a particular Hover. 
  nuiWidgetPtr GetDummy(bool Hover);  ///< Get the dummy widget to display when the widget is in a particular Hover. 

  virtual bool Draw(nuiDrawContext* pContext);
  virtual nuiRect CalcIdealSize();
  virtual bool SetRect(const nuiRect& rRect);

  void SetHover(bool Hover);
protected:
  nuiWidgetPtr mpHover[2];
};

#endif // __nuiHoverDummy_h__
