/*
  NUI - C++ cross-platform GUI framework for OpenGL based applications
  Copyright (C) 2002-2003 Sbastien Mtrot

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __nuiInspectorTable_h__
#define __nuiInspectorTable_h__

#include "nuiTable.h"
#include "nuiEvent.h"

class nuiInspectorTable : public nuiTable
{
public:
  nuiInspectorTable(nuiContainerPtr pParent, nuiContainerPtr pTarget);
  nuiInspectorTable(nuiContainerPtr pParent, nuiXMLNode* pNode); ///< Create from an XML description.
  virtual ~nuiInspectorTable();

  virtual bool SetTarget(nuiContainerPtr pTarget);
  virtual nuiContainerPtr GetTarget();
  virtual bool Update();

  virtual void HideCompositeElements(bool set); ///< If set to true the table will only show the object that can be serialized. 
  virtual bool GetHideCompositeElements(); ///< If this method returns true the table will only show the object that can be serialized. 
protected:
  nuiEventSink<nuiInspectorTable> mInspectorTableSink;

  nuiContainerPtr mpTarget;

  bool mHideCompositeElements;
};

#endif // __nuiInspectorTable_h__
