/*
  NUI - C++ cross-platform GUI framework for OpenGL based applications
  Copyright (C) 2002-2003 Sbastien Mtrot

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __nuiRefCount_h__
#define __nuiRefCount_h__

#include "ngl.h"

class nuiRefCount
{
public:
  nuiRefCount() : mCount(0) 
  {
  }

  virtual ~nuiRefCount()           
  { 
    NGL_ASSERT(mCount == 0); 
  }

  uint AddRef()    
  { 
    return ++mCount; 
  }

  uint FreeRef()   
  { 
    NGL_ASSERTR(mCount > 0, mCount); 
    mCount--;
    if (mCount == 0)
    {
      delete this;
      return 0;
    }
    return mCount; 
  }

  uint GetRefCount()
  {
    return mCount;
  }
private:
  uint mCount;
};

#endif // __nuiRefCount_h__
