/*
  NUI - C++ cross-platform GUI framework for OpenGL based applications
  Copyright (C) 2002-2003 Sbastien Mtrot

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __nuiStateDummy_h__
#define __nuiStateDummy_h__

#include "nuiContainer.h"

class nuiStateDummy : public nuiContainer
{
public:
  nuiStateDummy(nuiContainerPtr pParent, nuiWidgetPtr pNormal, nuiWidgetPtr pSelected, nuiWidgetPtr pDisabled);
  nuiStateDummy(nuiContainerPtr pParent, nuiXMLNode* pNode);
  nuiXMLNode* Serialize(nuiXMLNode* pParentNode, bool Recursive = true);
  virtual ~nuiStateDummy();

  void SetDummy(nuiState State, nuiWidgetPtr pWidget); ///< Set the dummy widget to display when the widget is in a particular state. 
  nuiWidgetPtr GetDummy(nuiState State);  ///< Get the dummy widget to display when the widget is in a particular state. 

  virtual bool Draw(nuiDrawContext* pContext);
  virtual nuiRect CalcIdealSize();
  virtual bool SetRect(const nuiRect& rRect);
  virtual void SetState(nuiState State);

  virtual void SetCombined(bool combined); ///< If set to true the combined flag will force combination of the state of this object with the state of its parent.
  virtual bool GetCombined(); ///< If set to true the combined flag will force combination of the state of this object with the state of its parent.
protected:
  nuiWidgetPtr mpState[3];
  bool mCombined;
};

#endif // __nuiStateDummy_h__
