/*
  NUI - C++ cross-platform GUI framework for OpenGL based applications
  Copyright (C) 2002-2003 Sbastien Mtrot

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


// This timer class is derived from nglTimer. It implements the nuiEvent model over the ngl event model.

#ifndef __nuiTimer_h__
#define __nuiTimer_h__

#include "nglTimer.h"
#include "nuiEvent.h"

/// This class is a helper class that wraps an nuiEvent interface over a nglTimer timer system which is far more useful for GUI programming.
class nuiTickEvent: public nuiEvent
{
public:
  nuiTickEvent(nuiEventSource* pSource,nglTime Lap);

  nglTime GetLap();
  void SetLap(nglTime Lap);
protected:
  nglTime mLap;
};

class nuiTimer : public nglTimer
{
public:
  nuiTimer(nglTime Period);
  virtual ~nuiTimer();

  virtual void OnTick(nglTime Lap);

  nuiEventSource Tick; /// Sends an nuiTickEvent.

};

#endif // __nuiTimer_h__
