/*
  NUI - C++ cross-platform GUI framework for OpenGL based applications
  Copyright (C) 2002-2003 Sbastien Mtrot

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/*!
\file  nui_all.h
\brief All nui includes in one header file. 

This file includes all nui headers to ease the creation of precompiled headers outside of the ngl project in VC. Just include it in your
precompiled header central file and everything should be rolling. (lookup precompiled headers in the VC doc to learn how to use them). 
*/

#ifndef __nui_all_h__
#define __nui_all_h__

#ifndef __nui_h__
#include "nui.h"
#endif 

#include "nuiApplication.h"
#include "nuiBuilder.h"
#include "nuiButton.h"
#include "nuiColor.h"
#include "nuiComposite.h"
#include "nuiContainer.h"
#include "nuiDragAndDrop.h"
#include "nuiDrawContext.h"
#include "nuiEditLine.h"
#include "nuiEditText.h"
#include "nuiEvent.h"
#include "nuiEventRegistry.h"
#include "nuiFileList.h"
#include "nuiFileTable.h"
#include "nuiFixed.h"
#include "nuiFlags.h"
#include "nuiGladeLoader.h"
#include "nuiImage.h"
#include "nuiInspectorTable.h"
#include "nuiLabel.h"
#include "nuiList.h"
#include "nuiMainWindow.h"
#include "nuiMenu.h"
#include "nuiMenuItem.h"
#include "nuiMouseEvent.h"
#include "nuiObject.h"
#include "nuiProperty.h"
#include "nuiRange.h"
#include "nuiRect.h"
#include "nuiRefCount.h"
#include "nuiScrollBar.h"
//#include "nuiSlider.h"
#include "nuiSpline.h"
#include "nuiSplineEdit.h"
#include "nuiSplitter.h"
#include "nuiTable.h"
#include "nuiText.h"
#include "nuiTexture.h"
#include "nuiTheme.h"
#include "nuiTimer.h"
#include "nuiUserArea.h"
#include "nuiWidget.h"
#include "nuiWidgetBox.h"
#include "nuiWindow.h"
#include "nuiXML.h"
#include "nuiStateDummy.h"
#include "nuiHoverDummy.h"
#include "nuiMemoryDrawContext.h"
#include "nuiShape.h"
#include "nuiPoint.h"
#include "nuiMeshEngine.h"
#include "nuiMesh.h"

#endif // __nui_all_h__
